#
# spec file for package plasma6-workspace
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# TODO Remove when gpsd has a qt6 flavor
%global __qml_requires_opts --qtver 6

%global __requires_exclude qt6qmlimport\\((org\\.kde\\.plasma\\.private|org\\.kde\\.plasma\\.workspace|org\\.kde\\.notificationmanager|org\\.kde\\.plasma\\.lookandfeel|org\\.kde\\.plasma\\.wallpapers|org\\.kde\\.taskmanager|org\\.kde\\.holidayeventshelperplugin|org\\.kde\\.kscreenlocker).*

%define kf6_version 6.14.0
%define qt6_version 6.8.0
%define rname plasma-workspace
# Full Plasma 6 version (e.g. 6.0.0)
%{!?_plasma6_bugfix: %global _plasma6_bugfix %{version}}
# Latest ABI-stable Plasma (e.g. 6.0 in KF6, but 6.0.80 in KUF)
%{!?_plasma6_version: %define _plasma6_version %(echo %{_plasma6_bugfix} | awk -F. '{print $1"."$2}')}
%bcond_without released
Name:           plasma6-workspace
Version:        6.4.2
Release:        1.1
Summary:        The KDE Plasma Workspace Components
License:        GPL-2.0-or-later
URL:            https://www.kde.org/
Source:         https://download.kde.org/stable/plasma/%{version}/%{rname}-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/plasma/%{version}/%{rname}-%{version}.tar.xz.sig
Source2:        plasma.keyring
%endif
Source3:        sddm.conf
Source4:        waitforkded.conf
# PATCH-FIX-UPSTREAM
# PATCHES 501-??? are PATCH-FIX-OPENSUSE
Patch501:       0001-Use-qdbus6.patch
Patch502:       0001-Ignore-default-sddm-face-icons.patch
# boo#951888
Patch503:       dont-show-yast-modules-in-the-applications-menu.patch
# As long as migration from Leap < 15.4 is still relevant, breaks openQA otherwise.
Patch504:       0001-Revert-krunner-Remove-kconf_update-code.patch
# PATCH-FEATURE-OPENSUSE
Patch506:       0001-Revert-No-icons-on-the-desktop-by-default.patch
BuildRequires:  fdupes
BuildRequires:  kf6-breeze-icons
BuildRequires:  kf6-extra-cmake-modules >= %{kf6_version}
# Due to KWinDBusInterface not having a cmake version config file, we need to BR kwin6-devel instead
# BuildRequires:  cmake(KWinDBusInterface) >= %%{_plasma6_bugfix}
BuildRequires:  kwin6-devel >= %{_plasma6_bugfix}
BuildRequires:  pkgconfig
BuildRequires:  qt6-gui-private-devel >= %{qt6_version}
BuildRequires:  qt6-waylandclient-private-devel >= %{qt6_version}
BuildRequires:  update-desktop-files
BuildRequires:  cmake(AppStreamQt) >= 1.0
BuildRequires:  cmake(Breeze) >= %{_plasma6_bugfix}
BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(KF6Archive) >= %{kf6_version}
BuildRequires:  cmake(KF6Auth) >= %{kf6_version}
BuildRequires:  cmake(KF6Baloo) >= %{kf6_version}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6Crash) >= %{kf6_version}
BuildRequires:  cmake(KF6DBusAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6Declarative) >= %{kf6_version}
BuildRequires:  cmake(KF6DocTools) >= %{kf6_version}
BuildRequires:  cmake(KF6GlobalAccel) >= %{kf6_version}
BuildRequires:  cmake(KF6GuiAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6Holidays) >= %{kf6_version}
BuildRequires:  cmake(KF6I18n) >= %{kf6_version}
BuildRequires:  cmake(KF6IconThemes) >= %{kf6_version}
BuildRequires:  cmake(KF6IdleTime) >= %{kf6_version}
BuildRequires:  cmake(KF6ItemModels) >= %{kf6_version}
BuildRequires:  cmake(KF6KCMUtils) >= %{kf6_version}
BuildRequires:  cmake(KF6KDED) >= %{kf6_version}
BuildRequires:  cmake(KF6KIO) >= %{kf6_version}
BuildRequires:  cmake(KF6KirigamiPlatform) >= %{kf6_version}
BuildRequires:  cmake(KF6NetworkManagerQt) >= %{kf6_version}
BuildRequires:  cmake(KF6NewStuff) >= %{kf6_version}
BuildRequires:  cmake(KF6Notifications) >= %{kf6_version}
BuildRequires:  cmake(KF6NotifyConfig) >= %{kf6_version}
BuildRequires:  cmake(KF6Package) >= %{kf6_version}
BuildRequires:  cmake(KF6Prison) >= %{kf6_version}
BuildRequires:  cmake(KF6QuickCharts) >= %{kf6_version}
BuildRequires:  cmake(KF6Runner) >= %{kf6_version}
BuildRequires:  cmake(KF6Screen) >= %{_plasma6_bugfix}
BuildRequires:  cmake(KF6Solid) >= %{kf6_version}
BuildRequires:  cmake(KF6StatusNotifierItem) >= %{kf6_version}
BuildRequires:  cmake(KF6Svg) >= %{kf6_version}
BuildRequires:  cmake(KF6TextEditor) >= %{kf6_version}
BuildRequires:  cmake(KF6TextWidgets) >= %{kf6_version}
BuildRequires:  cmake(KF6UnitConversion) >= %{kf6_version}
BuildRequires:  cmake(KF6UserFeedback) >= %{kf6_version}
BuildRequires:  cmake(KF6Wallet) >= %{kf6_version}
BuildRequires:  cmake(KPipeWire) >= %{_plasma6_bugfix}
BuildRequires:  cmake(KScreenLocker) >= %{_plasma6_bugfix}
BuildRequires:  cmake(KSysGuard) >= %{_plasma6_bugfix}
BuildRequires:  cmake(KWayland) >= %{_plasma6_bugfix}
BuildRequires:  cmake(LayerShellQt) >= %{_plasma6_bugfix}
BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  cmake(Plasma) >= %{_plasma6_bugfix}
BuildRequires:  cmake(Plasma5Support) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaActivities) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaActivitiesStats) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaQuick) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.6
BuildRequires:  cmake(PolkitQt6-1)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(Qt6Concurrent) >= %{qt6_version}
BuildRequires:  cmake(Qt6Core5Compat) >= %{qt6_version}
BuildRequires:  cmake(Qt6DBus) >= %{qt6_version}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_version}
BuildRequires:  cmake(Qt6Location) >= %{qt6_version}
BuildRequires:  cmake(Qt6Network) >= %{qt6_version}
BuildRequires:  cmake(Qt6Positioning) >= %{qt6_version}
BuildRequires:  cmake(Qt6PrintSupport) >= %{qt6_version}
BuildRequires:  cmake(Qt6Qml) >= %{qt6_version}
BuildRequires:  cmake(Qt6Quick) >= %{qt6_version}
BuildRequires:  cmake(Qt6QuickControls2) >= %{qt6_version}
BuildRequires:  cmake(Qt6QuickWidgets) >= %{qt6_version}
BuildRequires:  cmake(Qt6ShaderTools) >= %{qt6_version}
BuildRequires:  cmake(Qt6Sql) >= %{qt6_version}
BuildRequires:  cmake(Qt6Svg) >= %{qt6_version}
BuildRequires:  cmake(Qt6Test) >= %{qt6_version}
BuildRequires:  cmake(Qt6WaylandClient) >= %{qt6_version}
BuildRequires:  cmake(Qt6WaylandCompositor) >= %{qt6_version}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_version}
BuildRequires:  cmake(ScreenSaverDBusInterface) >= %{_plasma6_bugfix}
BuildRequires:  cmake(packagekitqt6)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libgps)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libqalculate) >= 2.0
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(wayland-client) >= 1.15
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)
Requires:       iso-codes
Requires:       iso-codes-lang
Requires:       plasma6-workspace-libs = %{version}-%{release}
# Needed for kcm_users
Requires:       accountsservice
# contains default style, cursors, etc
Requires:       breeze6 >= %{_plasma6_bugfix}
# Only recommended due to poor performances with LTO (https://sourceware.org/bugzilla/show_bug.cgi?id=23710)
Recommends:     drkonqi6 >= %{_plasma6_bugfix}
# dialog/platformtheme/etc
Requires:       kf6-frameworkintegration-plugin
Requires:       kactivitymanagerd6
# used within startup
Requires:       kde-cli-tools6 >= %{_plasma6_bugfix}
Requires:       kf6-kded
Requires:       kf6-kquickcharts
Requires:       kglobalacceld6 >= %{_plasma6_bugfix}
Requires:       kirigami-addons6 >= 0.10.0
Requires:       kscreen6 >= %{_plasma6_bugfix}
Requires:       kscreenlocker6 >= %{_plasma6_bugfix}
Requires:       kwin6 >= %{_plasma6_bugfix}
Requires:       libkscreen6-plugin >= %{_plasma6_bugfix}
Requires:       qt6-positioning-imports >= %{qt6_version}
Requires:       qt6-tools-qdbus
# heavily used by plasma
Requires:       qt6-declarative-imports >= %{qt6_version}
Requires:       kf6-kconfig-imports
# needed by krunner
Requires:       milou6 >= %{_plasma6_bugfix}
Requires:       qt6-sql-sqlite >= %{qt6_version}
Recommends:     ocean-sound-theme6 >= %{_plasma6_bugfix}
# Used by KCMs
Requires:       kf6-knewstuff-imports >= %{kf6_version}
# Used by system monitoring applets
Requires:       ksystemstats6
# Used by the user feedback KCM
Requires:       kf6-kuserfeedback-imports
# krdb uses xrdb with cpp preprocessing
Requires:       cpp
Requires:       xrdb
Requires:       xsetroot
# Used by the zsh completion script
Requires:       %{_bindir}/grep
# Qt6 SDDM greeter
Requires:       (sddm-greeter-qt6 if sddm)
# For wallpaper thumbnails
# Not to be mistaken for kio-extras5
Requires:       kio-extras
# Hardcode versions of libplasma6-components, as upstream doesn't keep backwards compability there
%requires_ge    libplasma6-components
# The lockscreen has a button to open a virtual keyboard
Recommends:     qt6-virtualkeyboard-imports >= %{qt6_version}
# For dmenudbusmenuproxy
Recommends:     (appmenu-gtk2-module if libgtk-2_0-0)
Recommends:     (appmenu-gtk3-module if libgtk-3-0)
# plasma6-desktop 'Provides' kdebase4-workspace < 5.3.0
Conflicts:      kdebase4-workspace < 5.3.0
Provides:       plasma5-workspace = %{version}
Obsoletes:      plasma5-workspace < %{version}
Obsoletes:      plasma5-workspace-lang < %{version}
# Use to be a separate package in plasma5
Provides:       gmenudbusmenuproxy = %{version}
Obsoletes:      gmenudbusmenuproxy < %{version}
# If installed, it force-enables itself which can cause issues
# gmenudbusmenuproxy used to conflict with this package
Conflicts:      unity-gtk-module-common
# Use to be a separate package in plasma5
Provides:       xembedsniproxy = %{version}
Obsoletes:      xembedsniproxy < %{version}
# Used to be provided/obsoleted by xembedsniproxy
Provides:       xembed-sni-proxy = %{version}
Obsoletes:      xembed-sni-proxy < %{version}
# Dropped functionality
Obsoletes:      khotkeys5 < %{version}
Obsoletes:      khotkeys5-lang < %{version}
Obsoletes:      ksysguard5 < %{version}
Obsoletes:      ksysguard5-lang < %{version}
# Some files have been moved from kio-extras5 to plasma5-workspace in 5.4. This should prevent a possible file conflict. (boo#944656)
Conflicts:      kio-extras5 < 15.08.0
Provides:       plasma6-workspace-branding = %{_plasma6_bugfix}
Provides:       plasma6-workspace-branding-upstream = %{version}
# plasmashell implements the dbus interface org.freedesktop.Notifications directly
Provides:       dbus(org.freedesktop.Notifications)
Provides:       qt6qmlimport(org.kde.plasma.shell)
Provides:       qt6qmlimport(org.kde.plasma.shell.2) = 0
Provides:       qt6qmlimport(org.kde.plasma.shell.panel)
Provides:       qt6qmlimport(org.kde.plasma.shell.panel.0) = 1
# Was dropped in 5.20, replaced by kcm_users from p-d
Provides:       kde-user-manager = %{version}
Obsoletes:      kde-user-manager < %{version}

%description
This package contains the basic packages for a Plasma workspace.

%package libs
Summary:        The KDE Plasma Workspace Components
Requires:       plasma6-framework >= %{_plasma6_bugfix}
Provides:       plasma5-workspace-libs = %{version}
Obsoletes:      plasma5-workspace-libs < %{version}

%description libs
This package contains the basic packages for a KDE Plasma 6 workspace.

%package devel
Summary:        The KDE Plasma Workspace Components
Requires:       plasma6-workspace-libs = %{version}-%{release}
Requires:       cmake(KF6ItemModels) >= %{kf6_version}
Requires:       cmake(LayerShellQt) >= %{_plasma6_bugfix}
Requires:       cmake(Plasma) >= %{_plasma6_bugfix}
Requires:       cmake(Qt6Core) >= %{qt6_version}
Requires:       cmake(Qt6Gui) >= %{qt6_version}
Requires:       cmake(Qt6Quick) >= %{qt6_version}
Conflicts:      kapptemplate <= 16.03.80
Provides:       plasma5-workspace-devel = %{version}
Obsoletes:      plasma5-workspace-devel < %{version}

%description devel
This package contains the basic packages for a KDE Plasma 6 workspace.
Development files.

%package -n plasma6-session
Summary:        KDE Plasma 6 Session
Requires:       breeze6 >= %{_plasma6_bugfix}
Requires:       breeze6-decoration >= %{_plasma6_bugfix}
Requires:       kf6-kwindowsystem >= %{kf6_version}
Requires:       plasma6-desktop >= %{_plasma6_bugfix}
Requires:       plasma6-workspace >= %{_plasma6_bugfix}
Requires:       polkit-kde-agent-6 >= %{_plasma6_bugfix}
Requires:       powerdevil6 >= %{_plasma6_bugfix}
Requires:       systemsettings6 >= %{_plasma6_bugfix}
# For KF5 kwayland (!)
Requires:       (kwayland-integration6 if kwayland)
Requires:       qt6-wayland
Requires:       (libqt5-qtwayland if libQt5Gui5)
# For screen sharing and window thumbnails in plasmashell
Requires:       pipewire
Requires:       xdg-user-dirs
Requires:       xorg-x11-server-wayland
Provides:       kdebase4-session = %{version}
Obsoletes:      kdebase4-session < %{version}
Provides:       plasma5-session = %{version}
Obsoletes:      plasma5-session < %{version}
Provides:       plasma5-session-wayland = %{version}
Obsoletes:      plasma5-session-wayland < %{version}
# People may want the X11 session
Recommends:     plasma6-session-x11 = %{version}
BuildArch:      noarch

%description -n plasma6-session
This package contains the startup scripts necessary to start a KDE
Plasma 6 session.

%package -n plasma6-session-x11
Summary:        KDE Plasma 6 Session on X11
Requires:       kwin6-x11 >= %{_plasma6_bugfix}
Requires:       plasma6-session = %{version}
Requires:       xf86-input-libinput
Requires:       xorg-x11-server
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description -n plasma6-session-x11
This package contains the startup scripts and programs necessary to
start a KDE Plasma 6 session on X11.

%package -n sddm-qt6-branding-openSUSE
Summary:        Plasma 6 branding for SDDM
Requires:       plasma6-sddm-theme-openSUSE
Requires:       sddm-greeter-qt6
Supplements:    (%{name} and sddm)

%description -n sddm-qt6-branding-openSUSE
This package confirms defaults for SDDM suitable for Plasma 6.

%lang_package

%prep
%autosetup -p1 -n %{rname}-%{version}

%build
%cmake_kf6 \
  -DGLIBC_LOCALE_GENERATED:BOOL=TRUE \
  -DGLIBC_LOCALE_GEN:BOOL=FALSE \
  -DPLASMA_X11_DEFAULT_SESSION:BOOL=TRUE

%kf6_build

%install
%kf6_install

%find_lang %{name} --with-html --all-name

# Copy the icon for org.kde.kcolorschemeeditor.desktop
mkdir -p %{buildroot}%{_kf6_iconsdir}/hicolor/32x32/apps/
cp %{_kf6_iconsdir}/breeze/preferences/32/preferences-desktop-color.svg %{buildroot}%{_kf6_iconsdir}/hicolor/32x32/apps/

# Rename upstream session file to oS location
mv %{buildroot}%{_kf6_sharedir}/xsessions/{plasma,plasma6}.desktop

# Install compatibility symlink
ln -s %{_kf6_sharedir}/xsessions/plasma6.desktop %{buildroot}%{_kf6_sharedir}/xsessions/kde-plasma.desktop

mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/default-xsession.desktop
ln -s %{_sysconfdir}/alternatives/default-xsession.desktop %{buildroot}%{_datadir}/xsessions/default.desktop

install -Dm 0644 %{SOURCE3} %{buildroot}%{_prefix}/lib/sddm/sddm.conf.d/10-plasma.conf
install -Dm 0644 %{SOURCE4} %{buildroot}%{_userunitdir}/plasma-plasmashell.service.d/waitforkded.conf

%fdupes %{buildroot}%{_prefix}

%post
%ldconfig
%{systemd_user_post plasma-gmenudbusmenuproxy.service plasma-kcminit-phase1.service plasma-kcminit.service \
  plasma-krunner.service plasma-ksmserver.service plasma-ksplash-ready.service plasma-plasmashell.service \
  plasma-xembedsniproxy.service plasma-baloorunner.service plasma-restoresession.service plasma-ksplash.service}

%preun
%{systemd_user_preun plasma-gmenudbusmenuproxy.service plasma-kcminit-phase1.service plasma-kcminit.service \
  plasma-krunner.service plasma-ksmserver.service plasma-ksplash-ready.service plasma-plasmashell.service \
  plasma-xembedsniproxy.service plasma-baloorunner.service plasma-restoresession.service plasma-ksplash.service}

%postun
%ldconfig
%{systemd_user_postun plasma-gmenudbusmenuproxy.service plasma-kcminit-phase1.service plasma-kcminit.service \
  plasma-krunner.service plasma-ksmserver.service plasma-ksplash-ready.service plasma-plasmashell.service \
  plasma-xembedsniproxy.service plasma-baloorunner.service plasma-restoresession.service plasma-ksplash.service}

%ldconfig_scriptlets libs

%post -n plasma6-session-x11
%{_sbindir}/update-alternatives --install %{_datadir}/xsessions/default.desktop \
  default-xsession.desktop %{_datadir}/xsessions/plasma6.desktop 25

%postun -n plasma6-session-x11
[ -f %{_datadir}/xsessions/plasma6.desktop ] || %{_sbindir}/update-alternatives \
  --remove default-xsession.desktop %{_datadir}/xsessions/plasma6.desktop

%files
%license LICENSES/*
%dir %{_kf6_configdir}/menus
%config %{_kf6_configdir}/menus/plasma-applications.menu
%config %{_kf6_configdir}/plasmanotifyrc
%config %{_kf6_configdir}/taskmanagerrulesrc
%doc %lang(en) %{_kf6_htmldir}/en/PolicyKit-kde/
%doc %lang(en) %{_kf6_htmldir}/en/kcontrol/
%doc %lang(en) %{_kf6_htmldir}/en/klipper/
%exclude %{_kf6_libdir}/libkfontinst.so
%exclude %{_kf6_libdir}/libkfontinstui.so
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_plasmashell
%{_datadir}/zsh/site-functions/_krunner
%{_kf6_applicationsdir}/kcm_autostart.desktop
%{_kf6_applicationsdir}/kcm_componentchooser.desktop
%{_kf6_applicationsdir}/kcm_colors.desktop
%{_kf6_applicationsdir}/kcm_cursortheme.desktop
%{_kf6_applicationsdir}/kcm_desktoptheme.desktop
%{_kf6_applicationsdir}/kcm_feedback.desktop
%{_kf6_applicationsdir}/kcm_fontinst.desktop
%{_kf6_applicationsdir}/kcm_fonts.desktop
%{_kf6_applicationsdir}/kcm_icons.desktop
%{_kf6_applicationsdir}/kcm_lookandfeel.desktop
%{_kf6_applicationsdir}/kcm_nightlight.desktop
%{_kf6_applicationsdir}/kcm_notifications.desktop
%{_kf6_applicationsdir}/kcm_regionandlang.desktop
%{_kf6_applicationsdir}/kcm_soundtheme.desktop
%{_kf6_applicationsdir}/kcm_style.desktop
%{_kf6_applicationsdir}/kcm_users.desktop
%{_kf6_applicationsdir}/kcm_wallpaper.desktop
%{_kf6_applicationsdir}/org.kde.kcolorschemeeditor.desktop
%{_kf6_applicationsdir}/org.kde.kfontinst.desktop
%{_kf6_applicationsdir}/org.kde.kfontview.desktop
%{_kf6_applicationsdir}/org.kde.klipper.desktop
%{_kf6_applicationsdir}/org.kde.plasma-fallback-session-save.desktop
%{_kf6_applicationsdir}/org.kde.plasmashell.desktop
%{_kf6_applicationsdir}/org.kde.plasmawindowed.desktop
%{_kf6_appstreamdir}/*.xml
%{_kf6_bindir}/gmenudbusmenuproxy
%{_kf6_bindir}/kcminit
%{_kf6_bindir}/kcminit_startup
%{_kf6_bindir}/kcolorschemeeditor
%{_kf6_bindir}/kde-systemd-start-condition
%{_kf6_bindir}/kfontinst
%{_kf6_bindir}/kfontview
%{_kf6_bindir}/krunner
%{_kf6_bindir}/ksmserver
%{_kf6_bindir}/ksplashqml
%{_kf6_bindir}/lookandfeeltool
%{_kf6_bindir}/plasma-apply-colorscheme
%{_kf6_bindir}/plasma-apply-cursortheme
%{_kf6_bindir}/plasma-apply-desktoptheme
%{_kf6_bindir}/plasma-apply-lookandfeel
%{_kf6_bindir}/plasma-apply-wallpaperimage
%{_kf6_bindir}/plasma-interactiveconsole
%{_kf6_bindir}/plasma-shutdown
%{_kf6_bindir}/plasma_session
%{_kf6_bindir}/plasma_waitforname
%{_kf6_bindir}/plasmashell
%{_kf6_bindir}/plasmawindowed
%{_kf6_bindir}/startplasma-wayland
%{_kf6_bindir}/xembedsniproxy
%{_kf6_configdir}/autostart/gmenudbusmenuproxy.desktop
%{_kf6_configdir}/autostart/org.kde.plasma-fallback-session-restore.desktop
%{_kf6_configdir}/autostart/org.kde.plasmashell.desktop
%{_kf6_configdir}/autostart/xembedsniproxy.desktop
%{_kf6_configkcfgdir}/colorssettings.kcfg
%{_kf6_configkcfgdir}/cursorthemesettings.kcfg
%{_kf6_configkcfgdir}/feedbacksettings.kcfg
%{_kf6_configkcfgdir}/fontssettings.kcfg
%{_kf6_configkcfgdir}/freespacenotifier.kcfg
%{_kf6_configkcfgdir}/iconssettingsbase.kcfg
%{_kf6_configkcfgdir}/launchfeedbacksettings.kcfg
%{_kf6_configkcfgdir}/lookandfeelsettings.kcfg
%{_kf6_configkcfgdir}/stylesettings.kcfg
%{_kf6_debugdir}/*.categories
%{_kf6_iconsdir}/hicolor/*/apps/kfontview.png
%{_kf6_iconsdir}/hicolor/*/mimetypes/fonts-package.png
%{_kf6_iconsdir}/hicolor/32x32/apps/preferences-desktop-color.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/preferences-desktop-font-installer.svgz
%{_kf6_knsrcfilesdir}/colorschemes.knsrc
%{_kf6_knsrcfilesdir}/gtk_themes.knsrc
%{_kf6_knsrcfilesdir}/icons.knsrc
%{_kf6_knsrcfilesdir}/kfontinst.knsrc
%{_kf6_knsrcfilesdir}/lookandfeel.knsrc
%{_kf6_knsrcfilesdir}/plasma-themes.knsrc
%{_kf6_knsrcfilesdir}/plasmoids.knsrc
%{_kf6_knsrcfilesdir}/wallpaper-mobile.knsrc
%{_kf6_knsrcfilesdir}/wallpaper.knsrc
%{_kf6_knsrcfilesdir}/wallpaperplugin.knsrc
%{_kf6_knsrcfilesdir}/xcursor.knsrc
%{_kf6_kxmlguidir}/kfontview
%{_kf6_libdir}/kconf_update_bin/krunnerglobalshortcuts
%{_kf6_libdir}/kconf_update_bin/krunnerhistory
%{_kf6_libdir}/kconf_update_bin/plasma6.0-remove-dpi-settings
%{_kf6_libdir}/kconf_update_bin/plasma6.0-remove-old-shortcuts
%{_kf6_libdir}/kconf_update_bin/plasma6.3-update-clipboard-database-2-to-3
%{_kf6_libdir}/kconf_update_bin/plasmashell-6.0-keep-custom-position-of-panels
%{_kf6_libdir}/kconf_update_bin/plasmashell-6.0-keep-default-floating-setting-for-plasma-5-panels
%{_kf6_libdir}/kconf_update_bin/plasma6.4-migrate-fullscreen-notifications-to-dnd
%{_kf6_libdir}/libkfontinst.so.*
%{_kf6_libdir}/libkfontinstui.so.*
%{_kf6_notificationsdir}/devicenotifications.notifyrc
%{_kf6_notificationsdir}/donationmessage.notifyrc
%{_kf6_notificationsdir}/freespacenotifier.notifyrc
%{_kf6_notificationsdir}/libnotificationmanager.notifyrc
%{_kf6_notificationsdir}/oom-notifier.notifyrc
%{_kf6_notificationsdir}/phonon.notifyrc
%{_kf6_plasmadir}/avatars/
%{_kf6_plasmadir}/look-and-feel/
%{_kf6_plasmadir}/plasmoids/
%{_kf6_plasmadir}/wallpapers/
%{_kf6_plugindir}/kf6/kded/
%{_kf6_plugindir}/kf6/kfileitemaction/
%{_kf6_plugindir}/kf6/kio/
%{_kf6_plugindir}/kf6/krunner/
%{_kf6_plugindir}/kf6/packagestructure/
%{_kf6_plugindir}/kf6/parts/
%{_kf6_plugindir}/kf6/thumbcreator/
%{_kf6_plugindir}/phonon_platform/
%{_kf6_plugindir}/plasma/
%{_kf6_plugindir}/plasma5support/
%{_kf6_plugindir}/plasmacalendarplugins/
%{_kf6_qmldir}/org/kde/breeze/
%{_kf6_qmldir}/org/kde/colorcorrect/
%{_kf6_qmldir}/org/kde/notificationmanager/
%{_kf6_qmldir}/org/kde/plasma/
%{_kf6_qmldir}/org/kde/taskmanager/
%{_kf6_sharedir}/dbus-1/services/org.kde.KSplash.service
%{_kf6_sharedir}/dbus-1/services/org.kde.LogoutPrompt.service
%{_kf6_sharedir}/dbus-1/services/org.kde.Shutdown.service
%{_kf6_sharedir}/dbus-1/services/org.kde.fontinst.service
%{_kf6_sharedir}/dbus-1/services/org.kde.krunner.service
%{_kf6_sharedir}/dbus-1/services/org.kde.plasma.Notifications.service
%{_kf6_sharedir}/dbus-1/services/org.kde.runners.baloo.service
%{_kf6_sharedir}/dbus-1/system-services/org.kde.fontinst.service
%{_kf6_sharedir}/dbus-1/system.d/org.kde.fontinst.conf
%{_kf6_sharedir}/desktop-directories/
%{_kf6_sharedir}/kconf_update/
%{_kf6_sharedir}/kfontinst/
%{_kf6_sharedir}/kglobalaccel/org.kde.krunner.desktop
%dir %{_kf6_sharedir}/kio
%dir %{_kf6_sharedir}/kio/servicemenus
%{_kf6_sharedir}/kio/servicemenus/installfont.desktop
%{_kf6_sharedir}/kio_desktop/
%{_kf6_sharedir}/konqsidebartng/
%{_kf6_sharedir}/krunner/dbusplugins/plasma-runner-baloosearch.desktop
%{_kf6_sharedir}/kstyle/
%dir %{_kf6_sharedir}/plasma/weather
%{_kf6_sharedir}/plasma/weather/noaa_station_list.xml
%{_kf6_sharedir}/plasma5support/
%{_kf6_sharedir}/polkit-1/actions/org.kde.fontinst.policy
%{_kf6_sharedir}/solid/
%dir %{_kf6_sharedir}/timezonefiles/
%{_kf6_sharedir}/timezonefiles/timezones.json
%dir %{_kf6_sharedir}/xdg-desktop-portal/
%{_kf6_sharedir}/xdg-desktop-portal/kde-portals.conf
%{_libexecdir}/baloorunner
%{_kf6_libexecdir}/kauth/fontinst
%{_kf6_libexecdir}/kauth/fontinst_helper
%{_kf6_libexecdir}/kauth/fontinst_x11
%{_libexecdir}/kfontprint
%{_libexecdir}/ksmserver-logout-greeter
%{_libexecdir}/plasma-changeicons
%{_libexecdir}/plasma-dbus-run-session-if-needed
%{_libexecdir}/plasma-fallback-session-restore
%{_libexecdir}/plasma-fallback-session-save
%{_libexecdir}/plasma-sourceenv.sh
%{_userunitdir}/plasma-baloorunner.service
%{_userunitdir}/plasma-core.target
%{_userunitdir}/plasma-gmenudbusmenuproxy.service
%{_userunitdir}/plasma-kcminit-phase1.service
%{_userunitdir}/plasma-kcminit.service
%{_userunitdir}/plasma-krunner.service
%{_userunitdir}/plasma-ksmserver.service
%{_userunitdir}/plasma-ksplash-ready.service
%{_userunitdir}/plasma-ksplash.service
%{_userunitdir}/plasma-plasmashell.service
%dir %{_userunitdir}/plasma-plasmashell.service.d/
%{_userunitdir}/plasma-plasmashell.service.d/waitforkded.conf
%{_userunitdir}/plasma-restoresession.service
%{_userunitdir}/plasma-workspace-{wayland,x11}.target
%{_userunitdir}/plasma-workspace.target
%{_userunitdir}/plasma-xembedsniproxy.service

%files libs
%license LICENSES/*
%{_kf6_libdir}/libbatterycontrol.so.*
%{_kf6_libdir}/libcolorcorrect.so.*
%{_kf6_libdir}/libklipper.so.*
%{_kf6_libdir}/libkmpris.so.*
%{_kf6_libdir}/libkrdb.so
%{_kf6_libdir}/libkworkspace6.so.*
%{_kf6_libdir}/libnotificationmanager.so.*
%{_kf6_libdir}/libtaskmanager.so.*
%{_kf6_libdir}/libweather_ion.so.*

%files devel
%license LICENSES/*
%{_includedir}/colorcorrect/
%{_includedir}/krdb/
%{_includedir}/kworkspace6/
%{_includedir}/notificationmanager/
%{_includedir}/plasma5support/
%{_includedir}/taskmanager/
%{_kf6_libdir}/cmake/KRunnerAppDBusInterface/
%{_kf6_libdir}/cmake/KSMServerDBusInterface/
%{_kf6_libdir}/cmake/LibColorCorrect/
%{_kf6_libdir}/cmake/LibKWorkspace/
%{_kf6_libdir}/cmake/LibNotificationManager/
%{_kf6_libdir}/cmake/LibTaskManager/
%{_kf6_libdir}/libbatterycontrol.so
%{_kf6_libdir}/libcolorcorrect.so
%{_kf6_libdir}/libklipper.so
%{_kf6_libdir}/libkworkspace6.so
%{_kf6_libdir}/libnotificationmanager.so
%{_kf6_libdir}/libtaskmanager.so
%{_kf6_libdir}/libweather_ion.so
%{_kf6_sharedir}/dbus-1/interfaces/

%files -n plasma6-session
%license LICENSES/*
%dir %{_datadir}/wayland-sessions/
%{_kf6_sharedir}/wayland-sessions/plasmawayland.desktop

%files -n plasma6-session-x11
%{_kf6_bindir}/startplasma-x11
%ghost %{_sysconfdir}/alternatives/default-xsession.desktop
%{_kf6_sharedir}/xsessions/default.desktop
%{_kf6_sharedir}/xsessions/kde-plasma.desktop
%{_kf6_sharedir}/xsessions/plasma6.desktop

%files -n sddm-qt6-branding-openSUSE
%dir %{_prefix}/lib/sddm/
%dir %{_prefix}/lib/sddm/sddm.conf.d/
%{_prefix}/lib/sddm/sddm.conf.d/10-plasma.conf

%files lang -f %{name}.lang
%exclude %{_kf6_htmldir}/en/PolicyKit-kde
%exclude %{_kf6_htmldir}/en/kcontrol
%exclude %{_kf6_htmldir}/en/klipper

%changelog
* Tue Jul  1 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.4.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.4.2
- Changes since 6.4.1:
  * Update version for new release 6.4.2
  * applets/notifications: Fix displaying bytes in details
  * Update version for new release 6.4.2
  * Do not create multiple QMenu when global menu is set to compact (kde#506170)
  * kcms/notifications: Fix typo
  * weather/envcan: Adapt to the new locations list URL
  * startkde: Remove Before=plasma-ksplash-ready.service
  * Only resize width to fit date elements if they are visible (kde#505614)
* Tue Jun 24 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.4.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.4.1
- Changes since 6.4.0:
  * Update version for new release 6.4.1
  * applets/kicker: resolve non-existing files to their url (kde#402820)
  * weather/envcan: Fix handling of non-continuous hourly folder list
  * DayDelegate: disable days not in the current month
  * kcms/feedback: remove little hover icons (kde#505761)
  * trianglemousefilter: Wrap unit test in if BUILD_TESTING
  * kcms/wallpaper: add missing domain strings to allow translation (kde#505122)
  * KlipperPopup: Always start from beginning of the list (kde#505493)
  * Klipper: Remove local Configure Klipper action (kde#501632)
  * RunCommand: fix "hide faded completion text" calculation (kde#505698)
  * shell/containmentconfigview: let wallpaperConfigModel emit wallpaperPluginsChanged
  * Achieve WCAG AA text contrast for labels
  * Fix ambiguous `operator==()` overload on Qt 6.10
* Thu Jun 12 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.4.0:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.4.0
- Changes since 6.3.91:
  * Update version for new release 6.4.0
  * dataengines/weather: Adapt to the new dynamic URLs on envcan
  * applets: update bugzilla urls
  * wallpapers/image: don't use image description as title
  * applets/kicker: make clear invokable from qml
  * applets/kicker: don't emit layoutChanged while looping over AppEntry
  * applets/kicker: fix filenames containing # in history (kde#419449,kde#437960)
  * libtaskmanager: fix "move to activity" when on almost all activities (kde#483148)
  * applets/kicker: Use KActivityManager to track app launches (kde#504813)
  * kcm/region_language: do not check language support for C on Ubuntu (kde#503762)
  * wallpapers/image: clear Preview key before saving
  * applets/notifications: make some parameters explicit
  * kcms/wallpaper: don't load PreviewImage (kde#504934)
  * containmentlayoutmanager: don't enter edit mode without activefocus
  * applets/digital-clock: fix config page alignment in RtL
  * applets/digital-clock: make Appearance page a bit neater
  * applets/kicker: Remember uninstalled apps for a short period When an installed .desktop file is updated, it might be removed and immediately re-added, which causes it to be inappropriately marked New! as the model is updated for both changes. (kde#504523)
  * dataengines: add missing <mutex> include
  * Do not show logout screen when in lockscreen / screensaver (kde#504575)
  * kcms/lookandfeel: Initialise member variables (kde#504621)
* Thu May 29 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.3.91:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.3.91
- Changes since 6.3.90:
  * Update version for new release 6.3.91
  * Do not track cache partitions with freespacenotifier (kde#504423)
  * shell: Rearrange the teardown order
  * plasmashell: less invasive change in panel cloning (kde#504856)
  * plasmashell: don't duplicate old applet configs in panel cloning (kde#504856)
  * wallpapers/image: don't crash when removing /usr/share (kde#503593)
  * containmentactions: Fix display of KRunner shortcut
  * klipper: show popup window faster
  * klipper: make "Add Actions" dialog only window-modal (kde#501938)
  * libtaskmanager: show Comment for launcher icons when appropriate (kde#504431)
  * Fix cell height calc in resize handle
  * kcms/componentchooser: fix dialog scrollability (kde#504418)
  * runners/sessions: Remove leftover GUI code
  * applets/systemmonitor: skip configure button on sensorless faces (kde#504335)
  * applets/notifications: add top padding for body-but-no-summary condition
  * fix: notify about missed notifications only once
  * applets/notifications: Don't set a parent for WidgetsAskUserActionHandler (kde#504385)
  * 🍒 Notifications: Set notifications to read when full representation is opened (kde#504350)
  * Disable linux-qt6-next while the regression in Qt gets fixed
  * components/sessionprivate: fix a potential crash in SessionsModel
  * wallpapers/image: Fix wallpaper thumbnails not adjusting to output size
  * wallpapers/image: Fix thumbnails not matching output size (kde#483097)
  * wallpapers/image: Trim trailing whitespace in config.qml
  * appiumtests: test showing critical notifications when Do not disturb is active
  * libnotificationmanager: fix critical notifications not showing when Do not disturb is active
  * Avoid "on" QML feature in TimezoneSelector to avoid crashes (kde#503830)
  * applets/notifications: fix count of inhibited notifications when low priority history is disabled
* Mon May 19 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.3.90:
  * New feature release
  * For more details see https://kde.org/announcements/plasma/6/6.3.90
- Too many changes to list here
* Tue May  6 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.3.5:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.3.5
- Changes since 6.3.4:
  * update version for new release
  * Notification: Escape lonely < and > symbols (kde#502106)
  * Calendar: Move event indicator above main label
  * update version for new release
  * appelts/notifications: Fix Notifications positions (kde#500192,kde#498599,kde#491217,kde#502160)
  * applets/notifications: improve paddings again
  * multiscreen: fix an incorrect assert in screenInvariants (kde#494616)
- Drop patches, now upstream:
  * 0001-applets-notifications-improve-paddings-again.patch
  * 0002-appelts-notifications-Fix-Notifications-positions.patch
* Thu Apr  3 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix notification appearance
  (kde#500192, kde#498599, kde#491217, kde#502160):
  * 0001-applets-notifications-improve-paddings-again.patch
- Add patch to fix notification position:
  * 0002-appelts-notifications-Fix-Notifications-positions.patch
* Wed Apr  2 2025 Christophe Marin <christophe@krop.fr>
- Update to 6.3.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/6/6.3.4
- Changes since 6.3.3:
  * applets/notifications: fix body label implicit height and alignment
  * applets/notifications: restore padding above the icon, when visible
  * applets/notifications: use more appropriate wrap mode for labels (kde#502162)
  * applets/notifications: tighten internal spacings (kde#449083)
  * notifications: Sync window position on creation
  * applets/notifications: Fix actions in FullRepresentation
  * klipper: let Qt handle plain text to deal with non-UTF-8 encodings when syncing selections
  * kcms/region_language: make removing languages work
  * Only queue position updates for panel when not hidden (kde#499833)
  * klipper: let Qt handle plain text to deal with non-UTF-8 encodings (kde#500203)
  * shell: fix shelltest
  * klipper: only accept certain MIME types
  * applets/notifications: make drag parameter explicit
  * Check for queued positionAndResize requests at the end of the event cycle (kde#499833)
  * applets/devicenotifier: handle unmounting gracefully
  * update version for new release
* Tue Mar 11 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.3.3:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.3.3
- Changes since 6.3.2:
  * update version for new release
  * applets/systemtray: remove KSortFilterProxyModel binding loop (kde#500374)
  * RunCommand: hide faded completion text before field content overflows (kde#500290)
  * klipper: ignore `application/x-openoffice-link` (kde#500903)
  * applets/digital-clock: use better-looking Qt.Labs version of FontDialog
  * components/batterycontrol: Fix remaining time check condition
  * libnotificationmanager: Fix infinite recursion when adding a second applet (kde#500749)
  * components/calendar: Fix previous/next buttons not always working (kde#499871)
  * applets/devicenotifier: Portable Media Player is removable
  * applets/digitalclock: Increase limit of event dots in calendar (kde#500785)
  * applets/systemtray: fix tab focus after pin button (kde#500705)
  * klipper: ignore non-UTF-8 encoded plain text (kde#500203)
  * Kalendar was renamed to Merkuro Calendar
  * weather/envcan: Fix parsing of station coordinates (kde#425770)
  * update version for new release
* Mon Mar  3 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Pull in libqt5-qtwayland if Qt 5 is installed (boo#1224995)
* Tue Feb 25 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.3.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.3.2
- Changes since 6.3.1:
  * update version for new release
  * klipper: fix clipboard actions not setting clipboard for the first time (kde#500287)
  * appiumtests: remove unused import in clipboardtest
  * applets/notifications: don't read out body as HTML
  * shell: use QMetaObject::invokeMethod to call QML function
  * Fixes for respecting immutability
  * klipper: don't hide popup when action popup shows (kde#500438)
  * libnotificationmanager: clearing the timer array, when deleting old notifications
  * klipper: don't cover content with highlight
  * plasma-windowed: set `QT_WAYLAND_DISABLE_FIXED_POSITIONS` to fix resizing loop
  * libtaskmanager: make XWindowTasksModelTest::test_modelData less flaky
  * applets/notifications: fix JobItemIcon context menu (kde#499942)
  * applets/systemtray: Don't unnecessarily append -symbolic to icon names (kde#500102)
  * kcms/krdb: Wait until root window cursor is set (kde#499965)
  * applets/systray: guard pointer to innerContainment
  * klipper: scroll ListView on keyboard navigation
  * update version for new release
* Tue Feb 18 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.3.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.3.1
- Changes since 6.3.0:
  * update version for new release
  * weather/bbcukmet: Filter out regions from search results (kde#500065)
  * klipper: also show highlight for currentItem
  * appmenu: Place appmenu in the top left screen corner (kde#500141)
  * [kicker] Fix properties dialog for recent files (kde#499845)
  * applets/digitalclock: only show separator with date (kde#499945)
  * applets/systemmonitor: Fixed typo causing undefined constant being used
  * plasma-windowed: adapt to resizeEvent change in Qt 6.9
  * weather/dwd: Capitalize letters after slash
  * update version for new release
  * Multiply floating panel shadow margin by scale factor on X11 (kde#496928)
  * panelview: Fix autohide panel hiding while dragging in task manager (kde#495828)
  * appiumtests: make clipboardtest less flaky
  * kcms/users: handle non-existing/readable profile img
  * klipper: Avoid breaking Listview (kde#448833)
  * applets/notification: make the new indicator 1px taller
* Thu Feb  6 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.3.0:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.3.0
- Changes since 6.2.91:
  * applets/notification: make the new indicator 1px taller
  * update version for new release
  * shell: save containment value in signal slots in PanelView
  * desktopnotifier: listen trash state changes from trashrc
  * containmentactions/applauncher: Escape ampersands (kde#499474)
  * applets/kicker: make submenu follow layoutDirection
  * [libtaskmanager] Invalidate filter after changing hideActivatedLaunchers (kde#499475)
  * kicker: remove favorites more reliably (kde#497958)
  * keyboardlayout: wait for org.kde.keyboard service from kded asynchronously (kde#495684)
  * Give ActionButton text more horizontal space (kde#499296)
  * kcms/{autostart,users} Keep "Add" actions visible in headers
  * kcms/nightlight: Fix dark theme color temperature preview
  * libkworkspace: fix crash when XRandr extension is not initialized
  * kcms/wallpaper: Set buddyFor wallpaper type
  * appiumtests: make clipboardtest less flaky
  * Watch for changes in session save mode (kde#449077)
  * kcm/users: make cropper fill largest square within image by default (kde#498989)
  * kcms/users: fix dialog sizing (kde#481316)
  * libkmpris: Fix default min/max playback rate
  * kcms/soundtheme: Allow setting theme with sounds disabled (kde#497355)
  * applets/notification: limit popup with of inlineReply (kde#498834)
* Thu Jan 23 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.91:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.91
- Too many changes to list here
* Sat Jan 11 2025 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.90:
  * New feature release
  * For more details see https://kde.org/announcements/plasma/6/6.2.90
- Too many changes to list here
* Tue Dec 31 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.5:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.5
- Changes since 6.2.4:
  * update version for new release
  * components/dbus: fix invalid variant type since Qt 6.8.1
  * applets/systemtray: fix busy indicator position for hidden items (kde#496910)
  * libtaskmanager: use QDateTime instead of QTime for lastActivated (kde#493724)
  * appmenu: Avoid repositioning the menu on wayland (kde#495787)
  * libtaskmanager: Fix transient losing needs attention state
  * notifications: Expose copied file through desktop portal
  * Fix DelegateChoice import with Qt 6.9 (kde#496900)
  * krunner: Clear faded completion text when prior search exists
  * systray: Clean up leaking systrays
  * applets/appmenu: Workaround global menu getting dismissed unexpectedly (kde#494635)
  * update version for new release
* Tue Nov 26 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.4:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.4
- Changes since 6.2.3:
  * update version for new release
  * BatteryIcon: Add headphone icon
  * plasmashell: begin earlier to watch for panel destruction (kde#487684)
  * plasmawindowed: Use shared contexts analogue to plasmashell
  * applets/notifications: Be explicit about "when" binding on notificationAction
  * devicenotifier: An optical disc can also be storage access (kde#469706)
  * ksmserver: Fix copying of auth data (kde#491130)
  * applets/systemtray: suppress useless tooltips (kde#494463)
  * X11/multiscreen: Always emit outputOrderChanged when a screen is disconnected
  * coloreditor: Hide titlebar color buttons if header is set (kde#433059)
  * devicenotifier: Fix ejecting busy optical media
  * panelview: Fix resized panel with NoBackground not receiving input in new space
  * wallpapers/image: Fix wallpaper item resize for screen dimension change
  * kcms/users: refactor cropping
  * update version for new release
* Thu Nov 14 2024 Christophe Marin <christophe@krop.fr>
- Replace '%%requires_ge plasma6-desktop' with 'Requires: plasma6-desktop'
* Mon Nov 11 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Replace %%requires_ge plasma6-framework-components with
  %%requires_ge libplasma6-components: the requires_eq macro does
  only work on real package names, not on virtual provides.
* Tue Nov  5 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.3:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.3
- Changes since 6.2.2:
  * update version for new release
  * Do early return for ServciesRunner::resolvedArgs in case of error
  * Always show full logout screen for "Show Logout Screen" desktop menu item (kde#495390)
  * lookandfeel: Explicitly set theme to Breeze in defaults
  * kcms/users: crop character faces properly (kde#494487)
  * kcms/users: Fix UI on mobile
  * logout-greeter: don't doubt the daemon
  * logout-greeter: categorize warnings
  * logout-greeter: don't wake up packagekit needlessly
  * appiumtests: fix kcm_cursortheme_test
  * appiumtests: fix kcm_autostart_test
  * appiumtests: fix kcm_users_test
  * appiumtests: fix digitalclocktest
  * components/dbus: fix invalid variant type since Qt 6.8
  * appiumtests: fix systemdialogtest
* Tue Oct 22 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.2
- Changes since 6.2.1.1:
  * update version for new release
  * shell: disable incremental gc until QTBUG-129241 is resolved
  * applets/devicenotifier: ensure udi is not dangling to fix crash
  * applets/devicemonitor: document when formating a device is removed and added back immediately
  * Revert "temporarily revert version number for respin"
  * klipper: Avoid creating lots of native windows in settings dialog (kde#494169)
* Thu Oct 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.1.1:
  * New bugfix release
- Changes since 6.2.1:
  * temporarily revert version number for respin
  * startkde: Specify --type=method_call to correctly notify ksplash
  * applets/devicenotifier: reduce string allocation
  * klipper: correct boolean in desktop file
  * PanelView: Fix popups position when NoBackground hint is set (kde#494193)
  * update version for new release
* Tue Oct 15 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.1
- Changes since 6.2.0:
  * update version for new release
  * kcms/wallpaper: fix crash when wallpaper config has invalid values
  * Fix crash with incorrect iterator
  * applets/devicenotifier: fix crash when parent device is not of StorageDrive type
  * klipper: fix unable to remove clip after editing (kde#494145)
  * applets/devicenotifier: Fix encrypted container not updating status (kde#494483)
  * startkde: Avoid waiting when notifying ksplash is up (kde#357170,kde#492492)
  * applets/sysmon: Don't override contentItem of ScrollablePage in config ui (kde#492654)
  * kcms/wallpaper: add title (kde#494008)
  * applets/devicenotifier: avoid duplicate entries in device list
  * applets/devicenotifer: properly delete child devices
  * devicecontrol: Adjust formatting of debug messages
  * applets/systemtray: fix crash caused by model index mismatch
  * applets/kicker: guard against null d-ptr when refreshing favorite model
  * Bring back klipper desktop file (kde#492525)
  * components/calendar: fix finding qtpaths' path
  * update version for new release
  * wallpapers/image: fix crash when rendering mode is changed after initialization
* Sat Oct  5 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.0:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.0
- Too many changes to list here
* Tue Sep 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.90:
  * New feature release
  * For more details see https://kde.org/announcements/plasma/6/6.1.90
- Too many changes to list here
- Rebase patches:
  * 0001-Revert-No-icons-on-the-desktop-by-default.patch
  * 0001-Revert-krunner-Remove-kconf_update-code.patch
- Drop patches, now upstream:
  * 0001-libtaskmanager-waylandtasksmodel-disconnect-from-par.patch
* Sun Sep 15 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix certain crashes on wayland (kde#488653, boo#1227204):
  * 0001-libtaskmanager-waylandtasksmodel-disconnect-from-par.patch
* Tue Sep 10 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.5:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.5
- Changes since 6.1.4:
  * update version for new release
  * ScreenPool: add fake screens initially (kde#484687)
  * dataengines/weather/dwd: Fix searching places with umlauts
  * Fixes for touchscreen interaction
  * applets/systemtray: stop overriding delegates' tooltip locations (kde#470650,kde#490555)
  * klipper: fix copying cells when images are ignored (kde#491488)
  * [dataengines/hotplug] Don't crash when there is no default file manager
  * xembedsniproxy: Guard against crash when xcb_query_tree_reply is null (kde#491509)
  * Fix svg images (kde#491369)
  * kcm_regionandlang: always run localectl (kde#479213)
  * Make X-KDE-Init-Phase a proper number in JSON and remove obsolete X-KDE-Init-Symbol values
  * libkmpris: refresh player when track list changes (kde#490569)
  * applets/mediacontroller: use Play/Pause to control players
  * shell/panelview: restart unhide timer on drag leave
  * appiumtests: disable clipboardtest
  * update version for new release
* Tue Aug  6 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.4:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.4
- Changes since 6.1.3:
  * update version for new release
  * Watch for Look and Feel changed
  * applets/batterymonitor: Fix property names to show the right tool-tip text
  * applets/mediacontroller: Fix label width overflow in horizontal panel
  * Track screen change
  * Respect centered images size (kde#490425,kde#489250)
  * xembed-sni-proxy: Check if descendant windows want button events
  * freespacenotifier: Rework to not warn for read only partitions
  * startplasma: Also set environment variable when it is not currently set (kde#490432)
  * notifications: When doing a drag and drop, set the supported action to cpoy (kde#469644)
  * krunner: Fix icon property name for additionalActions list
  * kastatsfavoritesmodel: Fix a crash
* Tue Jul 16 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.3:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.3
- Changes since 6.1.2:
  * update version for new release
  * klipper: Avoid incorrect wayland roundtrips (kde#489096)
  * klipper: Fix a potential null dereferencing (kde#489096)
  * kcm/users: decode URI-encoded file for avatar image
  * kastatsfavoritesmodel.cpp: prefer .value() over operator[] (kde#482887)
  * xembedsniproxy: Warp pointer to click location on wayland (kde#489286)
  * klipper: add missing static keyword in `SystemClipboard`
  * update version for new release
* Tue Jul  2 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.2
- Changes since 6.1.1:
  * update version for new release
  * libtaskmanager: improve efficiency when window icon frequently changes (kde#487390)
  * Do not hide panel settings when a panel-parented dialog takes focus (kde#487161)
  * update version for new release
* Tue Jun 25 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.1
- Changes since 6.1.0:
  * update version for new release
  * Don't emit appletDeleted 2 times
  * applets/systemtray: Read "padding" instead of "margin" of dialog
  * Mapping for mouse events considering transforms (kde#488173)
  * Enforce formfactor when changing location (kde#488174)
  * update version for new release
  * kcm_regionandlang: fix incorrect paper size example for some locales (kde#488083)
  * shell/kconf_update: don't remove shortcut added in 6.1 (kde#488494)
* Mon Jun 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update tarball, got respun
* Thu Jun 13 2024 Fabian Vogt <fabian@ritter-vogt.de>
- sddm.conf: Use breeze-openSUSE as theme
* Thu Jun 13 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.0:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.0
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-Authenticate-local-clients.patch
  * 0002-Remove-iceauth-dependency.patch
  * 0001-Fix-writing-ICEAuthority-file.patch
  * 0001-Revert-startkde-Close-systemd-session-when-startplas.patch
  * 0002-startkde-Close-systemd-session-when-startplasma-exit.patch
* Mon Jun 10 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix a regression introduced by the preceding change
  (kde#487912, boo#1226110):
  * 0001-Fix-writing-ICEAuthority-file.patch
* Sat Jun  8 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Let plasma6-session require libqt5-qtwayland if necessary
* Fri Jun  7 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Add patches to avoid that upgrades to Plasma 6.1 kill existing
  sessions (kde#488032):
  * 0001-Revert-startkde-Close-systemd-session-when-startplas.patch
  * 0002-startkde-Close-systemd-session-when-startplasma-exit.patch
* Fri May 31 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Add patches to fix ksmserver authentication (CVE-2024-36041, boo#1225774):
  * 0001-Authenticate-local-clients.patch
  * 0002-Remove-iceauth-dependency.patch
* Sat May 25 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.90:
  * New feature release
  * For more details see https://kde.org/announcements/plasma/6/6.0.90
- Too many changes to list here
* Wed May 22 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.5:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.5
- Changes since 6.0.4:
  * update version for new release
  * systemmonitor: create configEngine for config items
  * kcm/fonts: use correct signal handlers for UI controls
  * applets/systemtray: Fix wrong icons color in settings window
  * Remove nasty processEvents() which led to a crash on exit
  * Initialize member vars to avoid using uninitialized values
  * applets/clipboard: Show appropriate placeholder message with no search results (kde#486300)
  * kcms/icons: filter out GNOME's Adwaita and High Contrast icon themes (kde#486409)
  * applets/kicker: fix potential crash when modifying preferred applications
  * components/calendar: respect numbering system from local language
* Wed Apr 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.4:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.4
- Too many changes to list here
* Tue Mar 26 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.3:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.3
- Too many changes to list here
* Mon Mar 18 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Let plasma6-session-x11 provide+obsolete plasma5-session to ensure
  that upgrades end up with the X11 session as well.
* Wed Mar 13 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.2
- Changes since 6.0.1:
  * update version for new release
  * kcms/wallpaper: check if config ui has saveConfig
  * kcms/wallpaper: format main.qml
  * shell: properly demarshall DBus argument for color
  * libkmpris: always update active player index on rows inserted (kde#483027)
  * libkmpris: work around nonstandard players (kde#482603)
  * [applets/systemtray] Load icons with Plasma palette (kde#482645)
  * applets/battery: hide battery percentage option when no batteries available (kde#482089)
  * wallpapers/image: save the last position for slideshow on exit (kde#482543)
  * PanelView: Remove redundant reading of the same config key
  * Fix panels being set to floating by upgrades
  * libkmpris: assert active player always matches active index
  * libkmpris: set active player index to -1 when no player matches active player (kde#482756)
  * libkmpris: fix container not being deleted when its identity is empty
  * runners/services: Increase category relevance when service name starts with query
  * libkmpris: prevent an empty icon from being used (kde#482908)
  * appiumtests: move kcm tests to their own folder
  * shell: read wallpaper config from plugin instead of local file (kde#481741)
  * wallpapers/image: remove unused connection
  * shell: Avoid reserving a screen edge if no surface role has been created yet (kde#482399)
  * kcm/regionandlang: fix Setting LANG to C mangles preview strings (kde#482234)
  * update version for new release
- Redirect stdout in waitforkded.conf
- Drop patches, now upstream:
  * 0001-Fix-panels-being-set-to-floating-by-upgrades.patch
* Sun Mar 10 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to reinstate krunner shortcut migration from < 5.22:
  * 0001-Revert-krunner-Remove-kconf_update-code.patch
* Sat Mar  9 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Fix panels floating after upgrade (kde#483136):
  * Add 0001-Fix-panels-being-set-to-floating-by-upgrades.patch
  * Add waitforkded.conf systemd dropin
* Wed Mar  6 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.1
- Changes since 6.0.0:
  * update version for new release
  * applets/systemtray: Prefer Icon over IconName (kde#479712)
  * Make sure AppItem is up to date with sycoca when checking isValid() (kde#481855)
  * kcms/nightcolor: Fix DayNightView on edge cases (kde#482032)
  * applets: add missing website in metadata
  * libkmpris: find active player index in filter proxy model (kde#481992)
  * libkmpris: connect to signals from base class
  * appiumtests: add test for SystemDialog
  * Show panels on entering edit mode and "add widgets" (kde#448393)
  * Notifications: Only convert absolute paths to file URLs (kde#481759)
  * applets/cameraindicator: add bug report button
  * Revert "panelview: Take focus from other Plasma windows when clicked" (kde#481671)
  * components/dialogs: fall back to null target when dialogButtonBox is null
* Mon Mar  4 2024 Christophe Marin <christophe@krop.fr>
- Add Provides/Obsoletes to replace Plasma 5
* Mon Mar  4 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Pull in kwayland-integration6 when necessary
* Wed Feb 21 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.0:
  * New bugfix release
  * Release announcement not available yet
- Too many changes to list here
* Wed Jan 31 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.93.0 (6.0 RC 2):
  * New bugfix release
  * See https://kde.org/announcements/megarelease/6/rc2/ for details
- Too many changes to list here
* Wed Jan 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.92.0 (6.0 RC 1)
  * For more details please see:
    https://kde.org/announcements/megarelease/6/rc1/
* Sat Dec 30 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Remove redundant redundant blank line + %%license
- Remove meanwhile obsolete provides/obsoletes
* Thu Dec 28 2023 Neal Gompa <ngompa@opensuse.org>
- Split X11 session into a subpackage
* Fri Dec  1 2023 Christophe Marin <christophe@krop.fr>
- Demote drkonqi6 from required to recommended. The performances
  are (very) bad with gdb and LTO.
* Tue Nov 14 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Drop obsolete migration code
- Move some requirements between pattern, plasma6-workspace and
  plasma6-session
- Make kio-extras6 a hard dep
* Mon Nov 13 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Merge plasma6-session-wayland into plasma6-session
- Use fdupes again, without -s it's fine
- Add sddm-qt6-branding-openSUSE package containing sddm.conf
- Add 0001-lookandfeel-sddm-theme-metadata.desktop-Add-QtVersio.patch
* Tue Jul  4 2023 Christophe Marin <christophe@krop.fr>
- Init plasma6-workspace
